ElementDeserializerFactory (Axis API)
Keywords: org.apache.axis.encoding.ser.ElementDeserializerFactory,ElementDeserializerFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class ElementDeserializerFactory

    java.lang.Object
      |
      +--org.apache.axis.encoding.ser.BaseFactory
            |
            +--org.apache.axis.encoding.ser.BaseDeserializerFactory
                  |
                  +--org.apache.axis.encoding.ser.ElementDeserializerFactory

All Implemented Interfaces:
  DeserializerFactory, DeserializerFactory, java.io.Serializable

public class ElementDeserializerFactory
extends BaseDeserializerFactory

DeserializerFactory for Element.

Author:
  Rich Scheuerle
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`deserClass, deserClassConstructor, getDeserializer, javaType, xmlType`

Fields inherited from class org.apache.axis.encoding.ser.BaseFactory
`methodCache`

Constructor Summary
`ElementDeserializerFactory()`

Methods inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`createFactory, getDeserClassConstructor, getDeserializerAs, getGeneralPurpose, getGetDeserializer, getSpecialized, getSupportedMechanismTypes`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementDeserializerFactory

    public ElementDeserializerFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.